【发布时间】:2011-06-13 22:57:57
【问题描述】:
Crypto++ 包括
使用 gzip (RFC 1952) 和 zlib (RFC 1950) 格式支持的 DEFLATE (RFC 1951) 压缩/解压缩
,但我不确定如何将其转换为读取 ZIP 文件。 (我并不反对实现我自己的 ZIP 遍历逻辑;但当然,如果库已经内置了它,我不想复制东西)。
如果库不提供开箱即用的这一功能,如何访问 zlib 和 gzip 位(以实现压缩/解压缩步骤)?
【问题讨论】:
Crypto++ 包括
使用 gzip (RFC 1952) 和 zlib (RFC 1950) 格式支持的 DEFLATE (RFC 1951) 压缩/解压缩
,但我不确定如何将其转换为读取 ZIP 文件。 (我并不反对实现我自己的 ZIP 遍历逻辑;但当然,如果库已经内置了它,我不想复制东西)。
如果库不提供开箱即用的这一功能,如何访问 zlib 和 gzip 位(以实现压缩/解压缩步骤)?
【问题讨论】:
我不确定 Crypto++ 的最新版本,但以前是这样的
// write to file
Gzip zip(new FileSink (output_filename, true ), Gzip::DEFAULT_DEFLATE_LEVEL);
zip.Put(buf, dwBufSize);
zip.MessageEnd();
【讨论】: